--- old/build/bash/build.sh	Tue Jun 16 09:31:01 2015
+++ new/build/bash/build.sh	Tue Jun 16 09:31:01 2015
@@ -49,7 +49,7 @@
 SUMMARY="GNU Bourne-Again shell (bash)"
 DESC="$SUMMARY version $VER"
 
-DEPENDS_IPS="system/library system/library/gcc-4-runtime"
+DEPENDS_IPS="system/library system/library/gcc-5-runtime"
 
 BUILDARCH=32
 NO_PARALLEL_MAKE=1
--- old/build/bind/build.sh	Tue Jun 16 09:31:01 2015
+++ new/build/bind/build.sh	Tue Jun 16 09:31:01 2015
@@ -35,7 +35,7 @@
 DESC="$SUMMARY ($VER)"
 
 DEPENDS_IPS="library/libxml2 library/security/openssl library/zlib
-             system/library system/library/gcc-4-runtime system/library/math"
+             system/library system/library/gcc-5-runtime system/library/math"
 
 BUILDARCH=32
 
--- old/build/binutils/build.sh	Tue Jun 16 09:31:01 2015
+++ new/build/binutils/build.sh	Tue Jun 16 09:31:01 2015
@@ -39,6 +39,9 @@
 
 CONFIGURE_OPTS="--enable-gold=yes --exec-prefix=/usr/gnu --program-prefix=g"
 
+# Use old gcc4 standards level for this.
+CFLAGS="$CFLAGS -std=gnu89"
+
 make_prog() {
     [[ -n $NO_PARALLEL_MAKE ]] && MAKE_JOBS=""
     logmsg "--- make"
--- old/build/cdrtools/build.sh	Tue Jun 16 09:31:01 2015
+++ new/build/cdrtools/build.sh	Tue Jun 16 09:31:01 2015
@@ -34,7 +34,7 @@
 SUMMARY="CD creation utilities"
 DESC="$SUMMARY ($VER)"
 
-DEPENDS_IPS="system/library system/library/gcc-4-runtime"
+DEPENDS_IPS="system/library system/library/gcc-5-runtime"
 
 MAKE="make"
 BUILDARCH=32
--- old/build/dbus-glib/build.sh	Tue Jun 16 09:31:01 2015
+++ new/build/dbus-glib/build.sh	Tue Jun 16 09:31:01 2015
@@ -33,7 +33,7 @@
 SUMMARY="$PROG - GNOME GLib DBUS integration library"
 DESC="$SUMMARY"
 
-DEPENDS_IPS="system/library/libdbus library/glib2 library/zlib system/library system/library/gcc-4-runtime"
+DEPENDS_IPS="system/library/libdbus library/glib2 library/zlib system/library system/library/gcc-5-runtime"
 
 CONFIGURE_OPTS="--disable-fam --disable-dtrace --disable-tests"
 GLIB_GENMARSHAL=/usr/bin/glib-genmarshal
--- old/build/dbus/build.sh	Tue Jun 16 09:31:02 2015
+++ new/build/dbus/build.sh	Tue Jun 16 09:31:02 2015
@@ -35,6 +35,8 @@
 
 DEPENDS_IPS="SUNWcs"
 
+# Use old gcc4 standards level for this.
+CFLAGS="$CFLAGS -std=gnu89"
 CPPFLAGS="$CPPFLAGS -D__EXTENSIONS__ -D_REENTRANT"
 CONFIGURE_OPTS="--with-x=no --with-dbus-user=root --disable-static --with-dbus-daemondir=/usr/lib
 	--bindir=/usr/bin --localstatedir=/var --libexecdir=/usr/libexec"
--- old/build/entire/entire.p5m	Tue Jun 16 09:31:02 2015
+++ new/build/entire/entire.p5m	Tue Jun 16 09:31:02 2015
@@ -316,8 +316,10 @@
 depend fmri=system/kernel@0.5.11,5.11-@PVER@ type=require
 depend fmri=system/kvm@1.0.3-@PVER@ type=require
 depend fmri=system/library/c++/sunpro@0.5.11,5.11-@PVER@ type=require
-depend fmri=system/library/g++-4-runtime@4.6.2,5.11-@PVER@ type=require
-depend fmri=system/library/gcc-4-runtime@4.6.2,5.11-@PVER@ type=require
+depend fmri=system/library/g++-4-runtime@4.8.1,5.11-@PVER@ type=require
+depend fmri=system/library/gcc-4-runtime@4.8.1,5.11-@PVER@ type=require
+depend fmri=system/library/g++-5-runtime@5.1.0,5.11-@PVER@ type=require
+depend fmri=system/library/gcc-5-runtime@5.1.0,5.11-@PVER@ type=require
 depend fmri=system/library/libdiskmgt@0.5.11,5.11-@PVER@ type=require
 depend fmri=system/library/math@0.5.11,5.11-@PVER@ type=require
 depend fmri=system/library/mtsk@0.5.11,5.11-@PVER@ type=require
--- old/build/gawk/build.sh	Tue Jun 16 09:31:02 2015
+++ new/build/gawk/build.sh	Tue Jun 16 09:31:02 2015
@@ -36,6 +36,8 @@
 
 BUILDARCH=32
 CONFIGURE_OPTS_32="$CONFIGURE_OPTS_32 --bindir=/usr/bin"
+# Use old gcc4 standards level for this.
+CFLAGS="$CFLAGS -std=gnu89"
 
 # as of 4.1, gawk now supports arbitrary precision numbers.
 # build in MPFR/GMP support rather than dynamically linking it.
@@ -45,7 +47,7 @@
 
     logmsg "Patching Makefile to make mpfr/gmp static"
     pushd $TMPDIR/$BUILDDIR > /dev/null
-    logcmd gsed -i -e 's#-lmpfr -lgmp#/opt/gcc-4.8.1/lib/libmpfr.a /opt/gcc-4.8.1/lib/libgmp.a#' Makefile
+    logcmd gsed -i -e 's#-lmpfr -lgmp#/opt/gcc-5.1.0/lib/libmpfr.a /opt/gcc-5.1.0/lib/libgmp.a#' Makefile
     popd > /dev/null
 }
 
--- old/build/gcc44/build.sh	Tue Jun 16 09:31:02 2015
+++ new/build/gcc44/build.sh	Tue Jun 16 09:31:02 2015
@@ -38,11 +38,12 @@
 BUILDDIR=${PROG}-il-4_4_4
 
 export LD_LIBRARY_PATH=/opt/gcc-${VER}/lib
-PATH=/usr/perl5/5.16.1/bin:$PATH
+# Build gcc44 only with itself...
+PATH=/usr/perl5/5.16.1/bin:/opt/gcc-${VER}/bin:$PATH
 export PATH
 
 DEPENDS_IPS="developer/gcc44/libgmp-gcc44 developer/gcc44/libmpfr-gcc44 developer/gcc44/libmpc-gcc44
-	     developer/gnu-binutils developer/library/lint developer/linker system/library/gcc-4-runtime"
+	     developer/gnu-binutils developer/library/lint developer/linker system/library/gcc-5-runtime"
 BUILD_DEPENDS_IPS="$DEPENDS_IPS"
 
 NO_PARALLEL_MAKE=1
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc48/g++-obs.p5m	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,5 @@
+set name=pkg.fmri value=system/library/g++-4-runtime@4.8.1-0.@RELVER@
+set name=pkg.renamed value=true
+set name=pkg.description value="g++ runtime dependencies libstc++/libssp"
+set name=pkg.summary value="g++ runtime dependencies libstc++/libssp"
+depend fmri=system/library/g++-5-runtime@5,5.11-@PVER@ type=require
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc48/gcc4-obs.p5m	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,5 @@
+set name=pkg.fmri value=system/library/gcc-4-runtime@4.8.1-0.@RELVER@
+set name=pkg.renamed value=true
+set name=pkg.description value="gcc 4.8 runtime"
+set name=pkg.summary value="gcc 4.8 runtime"
+depend fmri=system/library/gcc-5-runtime@5,5.11-@PVER@ type=require
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/build-libgcc_s.sh	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,63 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=libgcc_s
+VER=5.1.0
+VERHUMAN=$VER
+PKG=system/library/gcc-5-runtime
+SUMMARY="gcc 5.1.0 runtime"
+DESC="$SUMMARY"
+
+PATH=/opt/gcc-${VER}/bin:$PATH
+export LD_LIBRARY_PATH=/opt/gcc-{$VER}/lib
+
+BUILD_DEPENDS_IPS="gcc51"
+NO_PARALLEL_MAKE=1
+
+# This stuff is in its own domain
+PKGPREFIX=""
+
+PREFIX=/opt/gcc-${VER}
+
+init
+prep_build
+mkdir -p $TMPDIR/$BUILDDIR
+for license in COPYING.RUNTIME COPYING.LIB COPYING3.LIB
+do
+    logcmd cp $SRCDIR/files/$license $TMPDIR/$BUILDDIR/$license || \
+        logerr "Cannot copy licnese: $license"
+done
+mkdir -p $DESTDIR/usr/lib
+cp /opt/gcc-${VER}/lib/libgcc_s.so.1 $DESTDIR/usr/lib/libgcc_s.so.1
+ln -s /usr/lib/libgcc_s.so.1 $DESTDIR/usr/lib/libgcc_s.so
+mkdir -p $DESTDIR/usr/lib/amd64
+cp /opt/gcc-${VER}/lib/amd64/libgcc_s.so.1 $DESTDIR/usr/lib/amd64/libgcc_s.so.1
+ln -s /usr/lib/amd64/libgcc_s.so.1 $DESTDIR/usr/lib/amd64/libgcc_s.so
+make_package runtime.mog
+clean_up
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/build-libgmp.sh	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,65 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+GCCVER=5.1.0
+PATH=/opt/gcc-${GCCVER}/bin:$PATH
+export LD_LIBRARY_PATH=/opt/gcc-${GCCVER}/lib
+
+PROG=gmp         # App name
+VER=6.0.0        # App version
+VERHUMAN=$VER    # Human-readable version
+PKG=developer/gcc51/libgmp-gcc51 # Package name (without prefix)
+SUMMARY="gcc51 - private libgmp"
+DESC="$SUMMARY" # Longer description
+
+# This stuff is in its own domain
+PKGPREFIX=""
+
+[[ "$BUILDARCH" == "both" ]] && BUILDARCH=32
+PREFIX=/opt/gcc-${GCCVER}
+CC=gcc
+CONFIGURE_OPTS="--enable-cxx --disable-assembly"
+CFLAGS="-fexceptions"
+ABI=32
+export ABI
+
+make_install32() {
+    logcmd mkdir -p $DESTDIR/opt/gcc-${GCCVER}/share/info
+    make_install
+    logcmd rm -rf $DESTDIR/opt/gcc-${GCCVER}/share/info
+}
+
+reset_configure_opts
+init
+download_source $PROG $PROG $VER
+prep_build
+build
+make_isa_stub
+make_package libgmp.mog
+clean_up
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/build-libmpc.sh	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,61 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=mpc
+VER=1.0.3
+VERHUMAN=$VER
+PKG=developer/gcc51/libmpc-gcc51
+SUMMARY="gcc51 - private libmpc"
+DESC="$SUMMARY"
+
+DEPENDS_IPS="developer/gcc51/libgmp-gcc51 developer/gcc51/libmpfr-gcc51"
+
+# This stuff is in its own domain
+PKGPREFIX=""
+
+[[ "$BUILDARCH" == "both" ]] && BUILDARCH=32
+GCCVER=5.1.0
+PREFIX=/opt/gcc-${GCCVER}
+CC=gcc
+CONFIGURE_OPTS="--with-gmp=/opt/gcc-${GCCVER} --with-mpfr=/opt/gcc-${GCCVER}"
+LDFLAGS="-R/opt/gcc-${GCCVER}/lib -L/opt/gcc-${GCCVER}/lib"
+
+make_install32() {
+    make_install
+    logcmd rm -rf $DESTDIR/opt/gcc-${GCCVER}/share/info
+}
+
+reset_configure_opts
+init
+download_source $PROG $PROG $VER
+prep_build
+build
+make_isa_stub
+make_package libmpc.mog
+clean_up
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/build-libmpfr.sh	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,60 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=mpfr
+VER=3.1.2
+VERHUMAN=$VER
+PKG=developer/gcc51/libmpfr-gcc51
+SUMMARY="gcc51 - private libmpfr"
+DESC="$SUMMARY"
+DEPENDS_IPS="developer/gcc51/libgmp-gcc51"
+
+# This stuff is in its own domain
+PKGPREFIX=""
+
+[[ "$BUILDARCH" == "both" ]] && BUILDARCH=32
+GCCVER=5.1.0
+PREFIX=/opt/gcc-${GCCVER}
+CC=gcc
+CONFIGURE_OPTS="--with-gmp=/opt/gcc-${GCCVER}"
+LDFLAGS="-R/opt/gcc-${GCCVER}/lib -L/opt/gcc-${GCCVER}/lib"
+
+make_install32() {
+    make_install
+    logcmd rm -rf $DESTDIR/opt/gcc-${GCCVER}/share/info
+}
+
+reset_configure_opts
+init
+download_source $PROG $PROG $VER
+prep_build
+build
+make_isa_stub
+make_package libmpfr.mog
+clean_up
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/build-libstdc++.sh	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,107 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=libstdc++
+VER=5.1.0
+VERHUMAN=$VER
+PKG=system/library/g++-5-runtime
+SUMMARY="g++ runtime dependencis libstc++/libssp"
+DESC="$SUMMARY"
+
+PATH=/opt/gcc-${VER}/bin:$PATH
+export LD_LIBRARY_PATH=/opt/gcc-${VER}/lib
+
+BUILD_DEPENDS_IPS="gcc51 gcc44"
+if [ -f /usr/lib/libstdc++.so.6.0.16 ]; then
+    GCC46_LOC=/usr/lib
+else
+    GCC46_LOC=/opt/gcc-4.6.3/lib
+    BUILD_DEPENDS_IPS="$BUILD_DEPENDS_IPS gcc46"
+fi
+
+if [ -f /usr/lib/libstdc++.so.6.0.17 ]; then
+    GCC47_LOC=/usr/lib
+else
+    GCC47_LOC=/opt/gcc-4.7.2/lib
+    BUILD_DEPENDS_IPS="$BUILD_DEPENDS_IPS gcc47"
+fi
+
+if [ -f /usr/lib/libstdc++.so.6.0.18 ]; then
+    GCC48_LOC=/usr/lib
+else
+    GCC48_LOC=/opt/gcc-4.8.1/lib
+    BUILD_DEPENDS_IPS="$BUILD_DEPENDS_IPS gcc48"
+fi
+
+DEPENDS_IPS="system/library/gcc-5-runtime"
+NO_PARALLEL_MAKE=1
+
+# This stuff is in its own domain
+PKGPREFIX=""
+
+PREFIX=/opt/gcc-${VER}
+
+init
+prep_build
+mkdir -p $TMPDIR/$BUILDDIR
+for license in COPYING.RUNTIME COPYING.LIB COPYING3.LIB
+do
+    logcmd cp $SRCDIR/files/$license $TMPDIR/$BUILDDIR/$license || \
+        logerr "Cannot copy licnese: $license"
+done
+
+mkdir -p $DESTDIR/usr/lib
+mkdir -p $DESTDIR/usr/lib/amd64
+
+LIB=libstdc++.so
+cp /opt/gcc-4.4.4/lib/$LIB.6.0.13 $DESTDIR/usr/lib/$LIB.6.0.13
+cp ${GCC46_LOC}/$LIB.6.0.16 $DESTDIR/usr/lib/$LIB.6.0.16
+cp ${GCC47_LOC}/$LIB.6.0.17 $DESTDIR/usr/lib/$LIB.6.0.17
+cp ${GCC48_LOC}/$LIB.6.0.18 $DESTDIR/usr/lib/$LIB.6.0.18
+cp /opt/gcc-${VER}/lib/$LIB.6.0.21 $DESTDIR/usr/lib/$LIB.6.0.21 || logerr "Failed to copy 6.0.21"
+ln -s /usr/lib/$LIB.6.0.21 $DESTDIR/usr/lib/$LIB.6
+ln -s /usr/lib/$LIB.6.0.21 $DESTDIR/usr/lib/$LIB
+cp /opt/gcc-4.4.4/lib/amd64/$LIB.6.0.13 $DESTDIR/usr/lib/amd64/$LIB.6.0.13
+cp ${GCC46_LOC}/amd64/$LIB.6.0.16 $DESTDIR/usr/lib/amd64/$LIB.6.0.16
+cp ${GCC47_LOC}/amd64/$LIB.6.0.17 $DESTDIR/usr/lib/amd64/$LIB.6.0.17
+cp ${GCC48_LOC}/amd64/$LIB.6.0.18 $DESTDIR/usr/lib/amd64/$LIB.6.0.18
+cp /opt/gcc-${VER}/lib/amd64/$LIB.6.0.21 $DESTDIR/usr/lib/amd64/$LIB.6.0.21 || logerr "Failed to copy 6.0.21 (amd64)"
+ln -s /usr/lib/amd64/$LIB.6.0.21 $DESTDIR/usr/lib/amd64/$LIB.6
+ln -s /usr/lib/amd64/$LIB.6.0.21 $DESTDIR/usr/lib/amd64/$LIB
+
+LIB=libssp.so
+cp /opt/gcc-${VER}/lib/$LIB.0.0.0 $DESTDIR/usr/lib/$LIB.0.0.0
+ln -s /usr/lib/$LIB.0.0.0 $DESTDIR/usr/lib/$LIB.0
+ln -s /usr/lib/$LIB.0.0.0 $DESTDIR/usr/lib/$LIB
+cp /opt/gcc-${VER}/lib/amd64/$LIB.0.0.0 $DESTDIR/usr/lib/amd64/$LIB.0.0.0
+ln -s /usr/lib/amd64/$LIB.0.0.0 $DESTDIR/usr/lib/amd64/$LIB.0
+ln -s /usr/lib/amd64/$LIB.0.0.0 $DESTDIR/usr/lib/amd64/$LIB
+
+make_package runtime.mog
+clean_up
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/build.sh	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,74 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2014 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=gcc
+VER=5.1.0
+VERHUMAN=$VER
+PKG=developer/gcc51
+SUMMARY="gcc ${VER}"
+DESC="$SUMMARY"
+
+export LD_LIBRARY_PATH=/opt/gcc-${VER}/lib
+PATH=/usr/perl5/5.16.1/bin:$PATH
+export PATH
+
+DEPENDS_IPS="developer/gcc51/libgmp-gcc51 developer/gcc51/libmpfr-gcc51 developer/gcc51/libmpc-gcc51 developer/gnu-binutils developer/library/lint developer/linker system/library/gcc-5-runtime"
+NO_PARALLEL_MAKE=1
+
+# This stuff is in its own domain
+PKGPREFIX=""
+
+[[ "$BUILDARCH" == "both" ]] && BUILDARCH=32
+PREFIX=/opt/gcc-${VER}
+reset_configure_opts
+CC=gcc
+
+LD_FOR_TARGET=/bin/ld
+export LD_FOR_TARGET
+LD_FOR_HOST=/bin/ld
+export LD_FOR_HOST
+LD=/bin/ld
+export LD
+
+CONFIGURE_OPTS_32="--prefix=/opt/gcc-${VER}"
+CONFIGURE_OPTS="--host i386-pc-solaris2.11 --build i386-pc-solaris2.11 --target i386-pc-solaris2.11 \
+	--with-boot-ldflags=-R/opt/gcc-${VER}/lib \
+	--with-gmp=/opt/gcc-${VER} --with-mpfr=/opt/gcc-${VER} --with-mpc=/opt/gcc-${VER} \
+	--enable-languages=c,c++,fortran,lto --without-gnu-ld --with-ld=/bin/ld \
+	--with-as=/usr/bin/gas --with-gnu-as --with-build-time-tools=/usr/gnu/i386-pc-solaris2.11/bin"
+LDFLAGS32="-R/opt/gcc-${VER}/lib"
+export LD_OPTIONS="-zignore -zcombreloc -i"
+
+init
+download_source $PROG/releases/$PROG-$VER $PROG $VER
+patch_source
+prep_build
+build
+make_package gcc.mog
+clean_up
